<?php
/**
 * the template for displaying archive pages.
 */

$category = get_queried_object();
$blog_sidebar = 3;
$sidebar_class = 'col-lg-8 col-lg-4 sidebar-right';
$cat_layout = digiqole_term_option($category->cat_ID, 'block_category_template', 'style1');
if(isset($category->cat_ID) && digiqole_term_option($category->cat_ID, 'block_sidebar_layout', 'sidebar-right') == 'sidebar-none') {
	$sidebar_class = 'col-lg-12 sidebar-none';
	$blog_sidebar = 1;
}
get_header();
if($cat_layout != 'style8') {
	get_template_part('template-parts/breadcrumb/breadcrumb');
}


$permitted_title = ["style1", "style4", "style6", 'style5', "style2", "style3"];

if(in_array($cat_layout, $permitted_title)) {
	echo '<div class="container">';
	get_template_part('template-parts/blog/category/parts/category', 'title');
	echo '</div>';
}

?>

    <section id="main-content" class="blog main-container" role="main">
		<?php if($cat_layout == 'style9'): ?>
		<?php 
			$arg = [
				'post_type'        => 'post',
				'post_status'      => 'publish',
				'suppress_filters' => false,
				'posts_per_page'   => 4,
				'orderby'          => 'date',
				'order'            => 'DESC',
			];

			$query = new WP_Query($arg);
		?>

		<div class="post-block-item block-item-post arhive-style-9">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<div class="title-style-9">
							<h2><?php echo esc_html('Breaking News', 'digiqole'); ?></h2>
						</div>
					</div>
				</div>
				<div class="row post-block-9">
					<?php while($query->have_posts()) : $query->the_post(); ?>

						<?php if($query->current_post == 0): ?>
							<div class="col-lg-8 col-md-12">
								<?php require DIGIQOLE_EDITOR_ELEMENTOR . '/widgets/style/post-grid/slider-style2.php'; ?>
							</div>

						<?php else: ?>
							<?php if($query->current_post == 1): ?>
								<div class="col-lg-4 col-md-12">
							<?php endif; ?>

							<div class="post-block-list post-thumb-bg">
								<div class="post-block-style post-float media">
									<div class="post-thumb d-flex">
										<a href="<?php echo esc_url(get_permalink()); ?>" rel="bookmark"
										title="<?php the_title_attribute(); ?>">
											<span class="digiqole-sm-bg-img"
												style="background-image: url(<?php echo esc_url(digiqole_post_thumbnail(get_the_ID(), null, null, 'digiqole-medium')); ?>);"></span>
										</a>
									</div>
									<div class="post-content media-body">
											<?php require DIGIQOLE_THEME_DIR . '/template-parts/blog/category/parts/cat-style2.php'; ?>
										<h3 class="post-title">
											<a href="<?php echo esc_url(get_permalink()); ?>" rel="bookmark"
											title="<?php the_title_attribute(); ?>"><?php echo esc_html(wp_trim_words(get_the_title(), 5, '')); ?></a>
										</h3>
										<span class="post-date">
											<i class="ts-icon ts-icon-clock-regular" aria-hidden="true"></i>  <?php echo get_the_date(get_option('date_format')); ?>
										</span>
										
									</div><!-- Post content end -->
								</div><!-- Post block style end -->
							</div>

							<?php if(($query->current_post + 1) == ($query->post_count)) { ?>
								</div><!-- List post Col end -->
							<?php } ?>
						<?php endif ?> <!-- feature item -->

					<?php endwhile; ?>
				</div><!-- row -->
				<div class="row">
					<div class="col-md-12">
						<div class="title-style-9 ">
							<h2><?php echo esc_html('Trending News', 'digiqole'); ?></h2>
						</div>
					</div>
				</div>


				<!-- Query For Slider -->
				<?php 
					$args = [
						'post_type'        => 'post',
						'post_status'      => 'publish',
						'suppress_filters' => false,
						'posts_per_page'   => 4,
						'orderby'          => 'date',
						'order'            => 'DESC',
						'meta_key'			=> 'newszone_post_views_count',
						'orderby'			=> 'meta_value_num',
					];
		
					$trending_post = new WP_Query($args);


				?>
				<div class="row">
					<div class="col-md-12">
						<div class="post-slider post-gradient archive-slider-wrapper">
							<div class="swiper-container archive-post-slider">
								<div class="swiper-wrapper">  
								<?php while($trending_post-> have_posts()) : $trending_post->the_post();
									if(has_post_thumbnail()) {
										$post_thumbnail_url = get_the_post_thumbnail_url(get_the_ID(), 'full');
									}
								?>    
								                  
									<div class="swiper-slide item ts-overlay-style" style="background-image:url(<?php echo esc_attr(esc_url($post_thumbnail_url)); ?>)">
										<a href="<?php the_permalink(); ?>" class="img-link"><?php echo get_the_title(); ?></a>
										<div class="post-content">

											<?php require DIGIQOLE_THEME_DIR . '/template-parts/blog/category/parts/cat-style2.php'; ?>

											<h3 class="post-title">
												<a href="<?php the_permalink(); ?>">
													<?php echo esc_html(wp_trim_words(get_the_title(), 5, '')); ?>
												</a>
											</h3>

											<ul class="post-meta-info">
												<li>
													<i class="ts-icon ts-icon-clock-regular"></i> <?php echo get_the_date(get_option('date_format')); ?>
												</li>
											</ul>
										</div>
									</div>
								<?php endwhile; ?>
								</div>
							</div>
							<div class="swiper-button-prev swiper-prev-button"><i class='ts-icon ts-icon-angle-left'></i></div>
							<div class="swiper-button-next swiper-next-button"><i class='ts-icon ts-icon-angle-right'></i></div>
						</div><!-- block-item6 -->
					</div>
				</div>
			</div>

		</div>
		<!-- Archive style 9 end -->
		
		<?php endif; ?>

		<?php if($cat_layout == 'style8'): ?>
            <!-- banner -->
            <div class="food-banner banner">
                <div class="container">
                    <div class="row justify-content-center">
                        <div class="col-md-7">
                            <div class="banner-content">
                                <h1 class="ts-title">
									<?php echo esc_html("Category : ", "digiqole");
									single_cat_title(); ?>
                                </h1>

								<?php if(digiqole_option('blog_breadcrumb_show') == true) { ?>
									<?php digiqole_get_breadcrumbs('<i class="ts-icon ts-icon-angle-right"></i>'); ?>
								<?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- banner end -->
		<?php endif; ?>
        <div class="container">
            <div class="row">
				<?php if($blog_sidebar == 2) {
					get_sidebar();
				} ?>
                <div class="<?php echo esc_attr($sidebar_class); ?>">
					<?php if(have_posts()) : ?>

						<?php get_template_part('template-parts/blog/category/layout', 'layout'); ?>
						<?php get_template_part('template-parts/blog/paginations/pagination', 'style2'); ?>
					<?php else : ?>
						<?php get_template_part('template-parts/blog/contents/content', 'none'); ?>
					<?php endif; ?>
                </div><!-- .col-md-8 -->

				<?php if($blog_sidebar == 3) {
					get_sidebar();
				} ?>
            </div><!-- .row -->
        </div><!-- .container -->
    </section><!-- #main-content -->
<?php get_footer(); ?>