<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Customizer Option: ADS
 */

CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Ads Settings', 'digiqole'),
	'fields' => [
		[
			'id'         => 'top_banner',
			'type'       => 'accordion',
			'accordions' => [
				[
					'title'  => esc_html__('Top Banner Ads', 'digiqole'),
					'fields' => [
						[
							'id'    => 'ad_link',
							'type'  => 'text',
							'title' => esc_html__('Ads link', 'digiqole'),
						],
						[
							'id'             => 'ad_image',
							'type'           => 'media',
							'title'          => esc_html__('Ads Image', 'digiqole'),
							'subtitle'       => '',
							'url'            => false,
							'preview_width'  => 50,
							'preview_height' => 50,
						],
						[
							'id'       => 'ad_html',
							'type'     => 'textarea',
							'title'    => esc_html__('Ads html', 'digiqole'),
							'subtitle' => esc_html__('You can use Adsense code here.', 'digiqole'),
						],
					],
				],
			],
		],
		[
			'id'         => 'single_blog_banner',
			'type'       => 'accordion',
			'accordions' => [
				[
					'title'  => esc_html__('Single Blog Ads one', 'digiqole'),
					'fields' => [
						[
							'id'       => 'single_ad_enable',
							'type'     => 'switcher',
							'title'    => esc_html__('Enable Ad', 'digiqole'),
							'subtitle' => esc_html__('Do you want to enable Ad?', 'digiqole'),
							'default'  => false,
							'text_on'  => esc_html__('Yes', 'digiqole'),
							'text_off' => esc_html__('No', 'digiqole'),
						],
						[
							'id'    => 'single_ad_link',
							'type'  => 'text',
							'title' => esc_html__('Ads link', 'digiqole'),
						],
						[
							'id'             => 'single_ad_image',
							'type'           => 'media',
							'title'          => esc_html__('Ads Image', 'digiqole'),
							'subtitle'       => '',
							'url'            => false,
							'preview_width'  => 50,
							'preview_height' => 50,
						],
						[
							'id'       => 'single_ad_html',
							'type'     => 'textarea',
							'title'    => esc_html__('Ads html', 'digiqole'),
							'subtitle' => esc_html__('You can use AdSense code here.', 'digiqole'),
						],
						[
							'id'       => 'single_ad_position',
							'type'     => 'select',
							'multiple' => false,
							'title'    => esc_html__('Ad position', 'digiqole'),
							'options'  => array(
								''               => '---',
								'before_title'   => esc_html__('Before Post Title', 'digiqole'),
								'before_content' => esc_html__('Before Post Content', 'digiqole'),
								'after_content'  => esc_html__('After Post Content', 'digiqole'),
								'after_tag'      => esc_html__('After Post Tag', 'digiqole'),
							),
							'default'  => 'after_content'
						],
					],
				],
			],
		],
		[
			'id'         => 'single_blog_banner_two',
			'type'       => 'accordion',
			'accordions' => [
				[
					'title'  => esc_html__('Single blog Ad two', 'digiqole'),
					'fields' => [
						[
							'id'       => 'single_ad_enable',
							'type'     => 'switcher',
							'title'    => esc_html__('Enable Ad', 'digiqole'),
							'subtitle' => esc_html__('Do you want to enable Ad?', 'digiqole'),
							'default'  => false,
							'text_on'  => esc_html__('Yes', 'digiqole'),
							'text_off' => esc_html__('No', 'digiqole'),
						],
						[
							'id'    => 'single_ad_link',
							'type'  => 'text',
							'title' => esc_html__('Ads link', 'digiqole'),
						],
						[
							'id'             => 'single_ad_image',
							'type'           => 'media',
							'title'          => esc_html__('Ads Image', 'digiqole'),
							'subtitle'       => '',
							'url'            => false,
							'preview_width'  => 50,
							'preview_height' => 50,
						],
						[
							'id'       => 'single_ad_html',
							'type'     => 'textarea',
							'title'    => esc_html__('Ads html', 'digiqole'),
							'subtitle' => esc_html__('You can use AdSense code here.', 'digiqole'),
						],
						[
							'id'       => 'single_ad_position',
							'type'     => 'select',
							'multiple' => false,
							'title'    => esc_html__('Ad position', 'digiqole'),
							'options'  => array(
								''               => '---',
								'before_title'   => esc_html__('Before Post Title', 'digiqole'),
								'before_content' => esc_html__('Before Post Content', 'digiqole'),
								'after_content'  => esc_html__('After Post Content', 'digiqole'),
								'after_tag'      => esc_html__('After Post Tag', 'digiqole'),
							),
							'default'  => 'after_content'
						],
					],
				],
			],
		],
	],
]);