<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Customizer Option: Single Post
 */
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Blog Single Settings', 'digiqole'),
	'fields' => [
		[
			'id'       => 'blog_sticky_sidebar',
			'type'     => 'switcher',
			'title'    => esc_html__('Blog sticky sidebar', 'digiqole'),
			'subtitle' => esc_html__('Do you want to enable sticky sidebar?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'      => 'post_header_layout',
			'type'    => 'image_select',
			'title'   => esc_html__('Post header layout', 'digiqole'),
			'desc'    => esc_html__('Single post\'s header style.', 'digiqole'),
			'options' => array(
				'style1' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style1.png',
				'style2' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style9.png',
				'style3' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style2.png',
				'style4' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style5.png',
				'style5' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style6.png',
				'style6' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style7.png',
				'style7' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style4.png',
				'style8' => DIGIQOLE_IMG . '/admin/post-header-layout/min-style1.png',
			),
			'default' => 'style1'
		],
		[
			'id'      => 'post_sidebar_layout',
			'type'    => 'image_select',
			'title'   => esc_html__('Post Sidebar Layout', 'digiqole'),
			'desc'    => esc_html__('Single post\'s header style.', 'digiqole'),
			'options' => array(
				'sidebar-right' => DIGIQOLE_IMG . '/admin/post-sidebar-layout/min-sidebar-right.png',
				'sidebar-none'  => DIGIQOLE_IMG . '/admin/post-sidebar-layout/min-sidebar-none.png',
			),
			'default' => 'style1'
		],
		[
			'id'       => 'show_view_count',
			'type'     => 'switcher',
			'title'    => esc_html__('Post view counter', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show the view counter in posts?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_post_comment',
			'type'     => 'switcher',
			'title'    => esc_html__('Post Comment', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show comment?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_author_image_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Author image show', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show author image?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_author_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Blog author', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show blog author?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_navigation_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Blog navigation', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show single blog navigation post?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_related_post',
			'type'     => 'switcher',
			'title'    => esc_html__('Blog related post', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show single blog related post?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'      => 'blog_related_post_title',
			'type'    => 'text',
			'title'   => esc_html__('Related post title', 'digiqole'),
			'default' => esc_html__('Related post', 'digiqole')
		],
		[
			'id'      => 'blog_related_post_number',
			'type'    => 'text',
			'title'   => esc_html__('Related post count', 'digiqole'),
			'default' => 3
		],
		[
			'id'       => 'blog_read_time_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Read Time', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show read time buttons?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_cat_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Post category', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show post category?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_date_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Post date', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show post date?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_cat_single',
			'type'     => 'switcher',
			'title'    => esc_html__('Show multiple category', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show post single or multiple category ?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_author_show_footer',
			'type'     => 'switcher',
			'title'    => esc_html__('Blog author footer', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show blog author in post footer ?', 'digiqole'),
			'default'  => true,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'blog_social_share_show',
			'type'     => 'switcher',
			'title'    => esc_html__('Enable Social Share', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show social share buttons?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'         => 'blog_social_share',  // Todo: New type -> Need to talk with Reza vai about this.
			'type'       => 'group',
			'title'      => esc_html__('Add Social Share Icons', 'digiqole'),
			'subtitle'   => esc_html__('Add social links and it\'s ts-icon class bellow. These are all fontaweseome-4.7 icons.', 'digiqole'),
			'dependency' => ['blog_social_share_show', '==', 'true'],
			'fields'     => [
				[
					'id'      => 'icon_class',
					'title'   => esc_html__('Social icon', 'digiqole'),
					'type'    => 'icon',
					'default' => 'ts-icon ts-icon-facebook'
				],
				[
					'id'      => 'social', // Need to check again
					'type'    => 'select',
					'title'   => esc_html__('Social share', 'digiqole'),
					'options' => array(
						''              => '---',
						'facebook'      => esc_html__('Facebook', 'digiqole'),
						'twitter'       => esc_html__('Twitter', 'digiqole'),
						'linkedin'      => esc_html__('Linkedin', 'digiqole'),
						'pinterest'     => esc_html__('Pinterest ', 'digiqole'),
						'digg'          => esc_html__('Digg', 'digiqole'),
						'tumblr'        => esc_html__('Tumblr', 'digiqole'),
						'blogger'       => esc_html__('Blogger', 'digiqole'),
						'reddit'        => esc_html__('Reddit', 'digiqole'),
						'delicious'     => esc_html__('Delicious', 'digiqole'),
						'flipboard'     => esc_html__('Flipboard', 'digiqole'),
						'vkontakte'     => esc_html__('Vkontakte', 'digiqole'),
						'odnoklassniki' => esc_html__('Odnoklassniki', 'digiqole'),
						'moimir'        => esc_html__('Moimir', 'digiqole'),
						'livejournal'   => esc_html__('Livejournal', 'digiqole'),
						'evernote'      => esc_html__('Evernote', 'digiqole'),
						'mix'           => esc_html__('Mix', 'digiqole'),
						'meneame'       => esc_html__('Meneame ', 'digiqole'),
						'pocket'        => esc_html__('Pocket ', 'digiqole'),
						'surfingbird'   => esc_html__('Surfingbird ', 'digiqole'),
						'liveinternet'  => esc_html__('Liveinternet ', 'digiqole'),
						'buffer'        => esc_html__('Buffer ', 'digiqole'),
						'instapaper'    => esc_html__('Instapaper ', 'digiqole'),
						'xing'          => esc_html__('Xing ', 'digiqole'),
						'wordpres'      => esc_html__('WordPres ', 'digiqole'),
						'baidu'         => esc_html__('Baidu ', 'digiqole'),
						'renren'        => esc_html__('Renren ', 'digiqole'),
						'weibo'         => esc_html__('Weibo ', 'digiqole'),
						'whatsapp'      => esc_html__('Whatsapp ', 'digiqole'),
					),
				],
			],
		],
		[
			'id'       => 'blog_single_infinite_scroll',
			'type'     => 'switcher',
			'title'    => esc_html__('Infinite Scroll', 'digiqole'),
			'subtitle' => esc_html__('Do you want to turn on infinite scroll in Single post?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'         => 'blog_single_infinite_scroll_items',  // Picker key: blog_single_infinite_scroll_option
			'type'       => 'text',
			'title'      => esc_html__('Number of Posts to show', 'digiqole'),
			'default'    => 3,
			'dependency' => ['blog_single_infinite_scroll', '==', 'true'],
		],
	],
]);