<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
CSF::createSection($prefix, [
	'parent' => 'theme_settings',
	'title'  => esc_html__('Style Settings', 'digiqole'),
	'fields' => [
		[
			'id'       => 'style',
			'type'     => 'switcher',
			'title'    => esc_html__('Body box layout', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'             => 'general_body_box_bg_image',
			'type'           => 'media',
			'title'          => esc_html__('Background Image', 'digiqole'),
			'subtitle'       => esc_html__('Body background image', 'digiqole'),
			'url'            => false,
			'preview_width'  => 50,
			'preview_height' => 50,
			'dependency'     => ['style', '==', 'true'],
		],
		[
			'id'       => 'style_theme_setting',
			'type'     => 'switcher',
			'title'    => esc_html__('Theme dark style?', 'digiqole'),
			'subtitle' => esc_html__('Do you want to use theme style?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Dark', 'digiqole'),
			'text_off' => esc_html__('Light', 'digiqole'),
		],
		[
			'id'       => 'style_darklight_mode',
			'type'     => 'switcher',
			'title'    => esc_html__('Show Dark/Light Icon?', 'digiqole'),
			'subtitle' => esc_html__('Do you want to show dark/light icon?', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'       => 'style_body_bg',
			'type'     => 'color',
			'title'    => esc_html__('Body background', 'digiqole'),
			'subtitle' => esc_html__('Site\'s main background color.', 'digiqole'),
		],
		[
			'id'       => 'style_primary',
			'type'     => 'color',
			'title'    => esc_html__('Primary color', 'digiqole'),
			'subtitle' => esc_html__('Site\'s main color.', 'digiqole'),
		],
		[
			'id'       => 'secondary_color',
			'type'     => 'color',
			'title'    => esc_html__('Secondary color', 'digiqole'),
			'subtitle' => esc_html__('Secondary color.', 'digiqole'),
		],
		[
			'id'       => 'body_color',
			'type'     => 'color',
			'title'    => esc_html__('Body Text color', 'digiqole'),
			'subtitle' => esc_html__('Body Text color.', 'digiqole'),
		],
		[
			'id'       => 'title_color',
			'type'     => 'color',
			'title'    => esc_html__('Title color', 'digiqole'),
			'subtitle' => esc_html__('Blog title color.', 'digiqole'),
		],
		[
			'id'       => 'body_font',
			'type'     => 'typography',
			'title'    => esc_html__('Body Font', 'digiqole'),
			'subtitle' => esc_html__('Choose the typography for the title', 'digiqole'),
			'output'   => 'body',

			'default'        => array(
				'font-family' => 'Roboto',
				'font-weight' => '400',
				'font-size'   => '14',
				'unit'        => 'px',
				'type'        => 'google',
			),
			'font_style'     => true,
			'text_align'     => false,
			'line_height'    => true,
			'letter_spacing' => false,
			'text_transform' => false,
			'color'          => false,
			'subset'         => false,
			'preview'        => 'always'
		],
		[
			'id'       => 'heading_font_one',
			'type'     => 'typography',
			'title'    => esc_html__('Heading H1 and H2 Fonts', 'digiqole'),
			'subtitle' => esc_html__('This is for heading google fonts', 'digiqole'),
			'output'   => 'h1',

			'default'        => array(
				'font-family' => 'Barlow',
				'font-weight' => '700',
				'font-size'   => '',
				'unit'        => 'px',
				'type'        => 'google',
			),
			'font_style'     => true,
			'text_align'     => false,
			'line_height'    => true,
			'letter_spacing' => false,
			'text_transform' => false,
			'color'          => false,
			'subset'         => false,
			'preview'        => 'always'
		],
		[
			'id'       => 'heading_font_two',
			'type'     => 'typography',
			'title'    => esc_html__('Heading H3 Fonts', 'digiqole'),
			'subtitle' => esc_html__('This is for heading google fonts', 'digiqole'),
			'output'   => 'h3',

			'default'        => array(
				'font-family' => 'Barlow',
				'font-weight' => '700',
				'font-size'   => '',
				'unit'        => 'px',
				'type'        => 'google',
			),
			'font_style'     => true,
			'text_align'     => false,
			'line_height'    => true,
			'letter_spacing' => false,
			'text_transform' => false,
			'color'          => false,
			'subset'         => false,
			'preview'        => 'always'
		],
		[
			'id'       => 'heading_font_three',
			'type'     => 'typography',
			'title'    => esc_html__('Heading H4 Fonts', 'digiqole'),
			'subtitle' => esc_html__('This is for heading google fonts', 'digiqole'),
			'output'   => 'h4',

			'default'        => array(
				'font-family' => 'Barlow',
				'font-weight' => '700',
				'font-size'   => '',
				'unit'        => 'px',
				'type'        => 'google',
			),
			'font_style'     => true,
			'text_align'     => false,
			'line_height'    => true,
			'letter_spacing' => false,
			'text_transform' => false,
			'color'          => false,
			'subset'         => false,
			'preview'        => 'always'
		]
	],
]);