<?php if(!defined('ABSPATH')) {
	die('Direct access forbidden.');
}
/**
 * Page meta options.
 */
CSF::createMetabox('settings-page', array(
	'title'     => esc_html__('Page settings', 'digiqole'),
	'post_type' => 'page',
	'context'   => 'normal',
	'theme'     => 'light',
	'data_type' => 'unserialize',
));
CSF::createSection('settings-page', array(
	'fields' => [
		[
			'id'       => 'page_header_override',
			'type'     => 'switcher',
			'title'    => esc_html__('Override Default Layouts?', 'digiqole'),
			'desc'     => esc_html__('You can change the default options from customizer\'s "Blog settings".', 'digiqole'),
			'default'  => false,
			'text_on'  => esc_html__('Yes', 'digiqole'),
			'text_off' => esc_html__('No', 'digiqole'),
		],
		[
			'id'         => 'page_body_box_layout',
			'type'       => 'switcher',
			'title'      => esc_html__('Body Background Enable', 'digiqole'),
			'desc'       => esc_html__('Body background enable', 'digiqole'),
			'default'    => false,
			'text_on'    => esc_html__('Yes', 'digiqole'),
			'text_off'   => esc_html__('No', 'digiqole'),
			'dependency' => ['page_header_override', '==', 'true'],
		],
		[
			'id'         => 'page_header_layout_style',
			'type'       => 'image_select',
			'title'      => esc_html__('Header Style', 'digiqole'),
			'desc'       => esc_html__('This is the site\'s main header style.', 'digiqole'),
			'options'    => array(
				'standard' => DIGIQOLE_IMG . '/admin/header-style/style1.png',
				'style2'   => DIGIQOLE_IMG . '/admin/header-style/style2.png',
				'style3'   => DIGIQOLE_IMG . '/admin/header-style/style3.png',
				'style4'   => DIGIQOLE_IMG . '/admin/header-style/style4.png',
				'style5'   => DIGIQOLE_IMG . '/admin/header-style/style5.png',
				'style6'   => DIGIQOLE_IMG . '/admin/header-style/style6.png',
				'style7'   => DIGIQOLE_IMG . '/admin/header-style/style7.png',
				'style8'   => DIGIQOLE_IMG . '/admin/header-style/style8.png',
				'style9'   => DIGIQOLE_IMG . '/admin/header-style/style9.png',
				'style10'  => DIGIQOLE_IMG . '/admin/header-style/style10.png',
			),
			'default'    => 'standard',
			'dependency' => ['page_header_override', '==', 'true'],
		],
	],
));