<?php
/*
 * Digiqole One-Click demo import options
 * */
function digiqole_import_files() {
	$demo_content_installer = DIGIQOLE_REMOTE_CONTENT;

	return [
		[
			'import_file_name'           => 'Default Home (1-10)',
			'categories'                 => array('Multipage'),
			'import_file_url'            => $demo_content_installer . '/default/main.xml',
			'import_customizer_file_url' => $demo_content_installer . '/default/customizer.dat',
			'import_widget_file_url'     => $demo_content_installer . '/default/widgets.wie',
			'import_preview_image_url'   => $demo_content_installer . '/default/screenshot.png',
			'preview_url'                => DIGIQOLE_LIVE_URL
		],
		[
			'import_file_name'           => 'Personal Blog',
			'categories'                 => array('Multipage'),
			'import_file_url'            => $demo_content_installer . '/personal_blog/main.xml',
			'import_customizer_file_url' => $demo_content_installer . '/personal_blog/customizer.dat',
			'import_widget_file_url'     => $demo_content_installer . '/personal_blog/widgets.wie',
			'import_preview_image_url'   => $demo_content_installer . '/personal_blog/screenshot.png',
			'preview_url'                => DIGIQOLE_LIVE_URL_2 . 'personal-blog'
		],
		[
			'import_file_name'           => 'Dark',
			'categories'                 => array('Multipage'),
			'import_file_url'            => $demo_content_installer . '/dark/main.xml',
			'import_customizer_file_url' => $demo_content_installer . '/dark/customizer.dat',
			'import_widget_file_url'     => $demo_content_installer . '/dark/widgets.wie',
			'import_preview_image_url'   => $demo_content_installer . '/dark/screenshot.png',
			'preview_url'                => DIGIQOLE_LIVE_URL_2 . 'dark'
		],
		[
			'import_file_name'           => 'Covid-19',
			'categories'                 => array('Multipage'),
			'import_file_url'            => $demo_content_installer . '/covid19/main.xml',
			'import_customizer_file_url' => $demo_content_installer . '/covid19/customizer.dat',
			'import_widget_file_url'     => $demo_content_installer . '/covid19/widgets.wie',
			'import_preview_image_url'   => $demo_content_installer . '/covid19/screenshot.png',
			'preview_url'                => DIGIQOLE_LIVE_URL_2 . 'covid-19'
		],
		[
			'import_file_name'           => 'Food Recipe',
			'categories'                 => array('Multipage'),
			'import_file_url'            => $demo_content_installer . '/food_recipe/main.xml',
			'import_customizer_file_url' => $demo_content_installer . '/food_recipe/customizer.dat',
			'import_widget_file_url'     => $demo_content_installer . '/food_recipe/widgets.wie',
			'import_preview_image_url'   => $demo_content_installer . '/food_recipe/screenshot.png',
			'preview_url'                => DIGIQOLE_LIVE_URL_2 . 'food-recipe'
		],
		[
			'import_file_name'           => 'Newspaper',
			'categories'                 => array('Multipage'),
			'import_file_url'            => $demo_content_installer . '/newspaper/main.xml',
			'import_customizer_file_url' => $demo_content_installer . '/newspaper/customizer.dat',
			'import_widget_file_url'     => $demo_content_installer . '/newspaper/widgets.wie',
			'import_preview_image_url'   => $demo_content_installer . '/newspaper/screenshot.png',
			'preview_url'                => DIGIQOLE_LIVE_URL_2 . 'newspaper'
		],
		[
			'import_file_name'           => 'Gutenberg',
			'categories'                 => array('Multipage'),
			'import_file_url'            => $demo_content_installer . '/gutenberg/main.xml',
			'import_customizer_file_url' => $demo_content_installer . '/gutenberg/customizer.dat',
			'import_widget_file_url'     => $demo_content_installer . '/gutenberg/widgets.wie',
			'import_preview_image_url'   => $demo_content_installer . '/gutenberg/screenshot.png',
			'preview_url'                => DIGIQOLE_LIVE_URL_2 . 'gutenberg'
		],
		[
			'import_file_name'           => 'Sports',
			'categories'                 => array('Multipage'),
			'import_file_url'            => $demo_content_installer . '/sports/main.xml',
			'import_customizer_file_url' => $demo_content_installer . '/sports/customizer.dat',
			'import_widget_file_url'     => $demo_content_installer . '/sports/widgets.wie',
			'import_preview_image_url'   => $demo_content_installer . '/sports/screenshot.png',
			'preview_url'                => DIGIQOLE_LIVE_URL_2 . 'sports'
		],
	];
}

add_filter('pt-ocdi/import_files', 'digiqole_import_files');

/*
 * Set default homepages from the demo site.
 * */
function digiqole_after_import($selected_import) {

	$home_pages = array(
		"Default Home (1-10)" => [
			"slug" => "Home 1",
		],
		"Personal Blog"       => [
			"slug" => "Home",
		],
		"Dark"                => [
			"slug" => "Home 1",
		],
		"Covid-19"            => [
			"slug" => "Home",
		],
		"Food Recipe"         => [
			"slug" => "Home",
		],
		"Newspaper"           => [
			"slug" => "Home",
		],
		"Gutenberg"           => [
			"slug" => "Home Default",
		]
	);
	if(is_array($home_pages)) {
		foreach($home_pages as $i => $values) {
			if($i === $selected_import['import_file_name']) {
				foreach($values as $key => $value) {
					//Set Front page
					$page = get_page_by_title($values['slug']);
					if(isset($page->ID)) {
						update_option('page_on_front', $page->ID);
						update_option('show_on_front', 'page');
					}
				}
			}
		}
	}
}

add_action('pt-ocdi/after_import', 'digiqole_after_import');

function demo_license_content() {
	?>
	<div class="license-wrap">
		<h2 class="license-title"><?php esc_html_e( 'Please Activate Your License', 'nuclear-txd' ); ?></h2>
		<div class="license-desc">
			<div class="notice-icon">
				<svg width="17" height="18" viewBox="0 0 17 18" fill="none" xmlns="http://www.w3.org/2000/svg">
					<path d="M8.27148 5.6001V9.80009" stroke="#FF7129" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
					<path d="M15.536 6.26402V11.736C15.536 12.632 15.056 13.464 14.28 13.92L9.52801 16.664C8.75201 17.112 7.792 17.112 7.008 16.664L2.256 13.92C1.48 13.472 1 12.64 1 11.736V6.26402C1 5.36802 1.48 4.53599 2.256 4.07999L7.008 1.336C7.784 0.888 8.74401 0.888 9.52801 1.336L14.28 4.07999C15.056 4.53599 15.536 5.36002 15.536 6.26402Z" stroke="#FF7129" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
					<path d="M8.27148 12.3599V12.4399" stroke="#FF7129" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
				</svg>
			</div>
			<p>
			<?php 
				echo digiqole_kses('In order to get regular update, support and demo content, you must activate the theme license. Please  <a href="'. admin_url('themes.php?page=license') .'">Goto License Page</a> and activate the theme license as soon as possible.	','digiqole');
			?>
			</p>
		</div>
	</div>
	<?php
}

function set_license_menu() {
	if ( theme_is_valid_license() ) {
		return;
	}

	remove_submenu_page('themes.php', 'demo-content');
	$page = isset( $_GET['page'] ) ? sanitize_text_field( $_GET['page'] ) : '';

	if ( 'one-click-demo-import' === $page ) {
		// wp_die('Sorry, you are not allowed to access this page', '');
		wp_redirect(admin_url("themes.php?page=license"));
	}

	add_submenu_page(
		'themes.php',
		'Demo Content Install',
		'Demo Content Install',
		'manage_options',
		'demo-content',
		'demo_license_content'
	);
}

add_action('admin_menu', 'set_license_menu', 999);